# Tasks Tasks ## Creates a new task record that does not already exist. - [POST /tasks/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/tasks/createtask.md): This method will auto-generate an ID and create a new task. If an ID is specified for the task, an error will be thrown. ## Returns a list of records with the specified assignee_id - [GET /tasks/{tenantId}/assignee/{assignee_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/tasks/listtasksbyassigneeid.md): Returns a list of records with the specified assignee_id ## Returns a list of records with the specified associated_contact_id - [GET /tasks/{tenantId}/associatedContact/{associated_contact_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/tasks/listtasksbyassociatedcontactid.md): Returns a list of records with the specified associated_contact_id ## Returns a list of records with the specified associated_organization_id - [GET /tasks/{tenantId}/associatedOrganization/{associated_organization_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/tasks/listtasksbyassociatedorganizationid.md): Returns a list of records with the specified associated_organization_id ## Returns a list of records with the specified sys_search_associated_record_id - [GET /tasks/{tenantId}/associatedRecord/{service}/{record_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/tasks/listtasksbyassociatedrecordid.md): Returns a list of records with the specified sys_search_associated_record_id ## Returns a list of records with the specified owner_id - [GET /tasks/{tenantId}/owner/{owner_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/tasks/listtasksbyownerid.md): Returns a list of records with the specified owner_id ## Returns a list of records with the specified queue_id - [GET /tasks/{tenantId}/queue/{queue_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/tasks/listtasksbyqueueid.md): Returns a list of records with the specified queue_id ## Searches for tasks using predefined parameters - [POST /tasks/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/tasks/searchfortasks.md): Searches for tasks using predefined parameters ## Returns a list of records with the specified task_group_id - [GET /tasks/{tenantId}/taskGroup/{task_group_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/tasks/listtasksbytaskgroupid.md): Returns a list of records with the specified task_group_id ## Returns a task from the system by its ID. - [DELETE /tasks/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/tasks/deletetask.md): This method will delete a task with the specified ID. ## Returns a task from the system by its ID. - [GET /tasks/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/tasks/gettask.md): This method will look up a task by the specified ID and return it back. ## Partially updates a task with the specified ID. - [PATCH /tasks/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/tasks/patchtask.md): This method will patch an existing task with the specified ID, using the HTTP PATCH specification. ## Updates a task with the specified ID. - [PUT /tasks/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/tasks/updatetask.md): This method will update an existing task with the specified ID.